Skip to main content
POST
/
crypto
/
wallets
/
balance
curl -X POST https://secureapi.gridlog.io/api/v1/crypto/wallets/balance \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "chain": "polygon",
    "address": "0x1A2B3C4D5E6F..."
  }'
{
  "chain": "polygon",
  "address": "0x1A2B3C4D5E6F...",
  "balances": {
    "native": {
      "symbol": "MATIC",
      "balance": "1.5432",
      "decimals": 18
    },
    "tokens": [
      {
        "address": "0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174",
        "symbol": "USDC",
        "balance": "250.00",
        "decimals": 6
      },
      {
        "address": "0xc2132D05D31c914a87C6611C10748AEb04B58e8F",
        "symbol": "USDT",
        "balance": "100.50",
        "decimals": 6
      }
    ]
  },
  "lastUpdated": "2025-03-21T10:00:00.000Z"
}
chain
string
required
The blockchain network. E.g. polygon, ethereum, solana
address
string
required
The wallet address to query
tokenAddresses
string[]
Optional list of specific token contract addresses to include. If omitted, all known tokens for the chain are returned.
curl -X POST https://secureapi.gridlog.io/api/v1/crypto/wallets/balance \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "chain": "polygon",
    "address": "0x1A2B3C4D5E6F..."
  }'
{
  "chain": "polygon",
  "address": "0x1A2B3C4D5E6F...",
  "balances": {
    "native": {
      "symbol": "MATIC",
      "balance": "1.5432",
      "decimals": 18
    },
    "tokens": [
      {
        "address": "0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174",
        "symbol": "USDC",
        "balance": "250.00",
        "decimals": 6
      },
      {
        "address": "0xc2132D05D31c914a87C6611C10748AEb04B58e8F",
        "symbol": "USDT",
        "balance": "100.50",
        "decimals": 6
      }
    ]
  },
  "lastUpdated": "2025-03-21T10:00:00.000Z"
}
chain
string
The blockchain network queried
address
string
The queried wallet address
balances
object
Wallet balances grouped by asset type
lastUpdated
string
ISO 8601 timestamp of when the balance was last fetched